## libcap2 0.cvs.20010529

=== Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2000/07/01 22:25:01 agmorgan Exp $
#
# Makefile for libcap

topdir=$(shell pwd)
include Make.Rules

#
# flags
#

all install clean: %: %-here
	make -C libcap $(MAKE_DEFS) $@
	make -C progs $(MAKE_DEFS) $@
	make -C doc $(MAKE_DEFS) $@

all-here:

install-here:

clean-here:
	$(LOCALCLEAN)

distclean: clean
	$(DISTCLEAN)

release: distclean
	cd .. ; tar cvfz libcap-$(VERSION).$(MINOR).tar.gz libcap-$(VERSION).$(MINOR)

=== doc/Makefile ===
#
# $Id: Makefile,v 1.1.1.1.4.1 2000/07/10 03:38:07 agmorgan Exp $
#
# Makefile for libcap documentation
#

topdir=$(shell pwd)/..
include $(topdir)/Make.Rules

MAN2S = capget.2 capset.2
MAN3S = cap_init.3 cap_free.3 cap_dup.3 \
	cap_clear.3 cap_get_flag.3 cap_set_flag.3 \
	cap_get_proc.3 cap_set_proc.3 \
	cap_copy_ext.3 cap_size.3 cap_copy_int.3 \
	cap_from_text.3 cap_to_text.3 _cap_names.3 \
	capsetp.3 capgetp.3 \
	cap_get_fd.3 cap_get_file.3 cap_set_fd.3 cap_set_file.3
MAN8S = getcap.8 setcap.8

MANS = $(MAN2S) $(MAN3S) $(MAN8S)

all: $(MANS)

install:
	mkdir -p -m 755 $(MANDIR)/man2 $(MANDIR)/man3 $(MANDIR)/man8
	for man in \
		$(MANDIR)/man2 $(MAN2S) \
		$(MANDIR)/man3 $(MAN3S) \
		$(MANDIR)/man8 $(MAN8S) \
		; \
	do \
		case $$man in \
		/*)	sub=$$man ; continue ;; \
		esac; \
		install -m 644 $$man $$sub ; \
	done

clean:
	$(LOCALCLEAN)

=== libcap/Makefile ===
##
## $Id: Makefile,v 1.1.1.1.4.1 2000/07/11 05:29:14 agmorgan Exp $
##

#
# defines
#
topdir=$(shell pwd)/..
include ../Make.Rules
#
# Library version
#
LIBNAME=libcap.so
#

FILES=cap_alloc cap_proc cap_extint cap_flag cap_text cap_sys cap_file

INCLS=libcap.h cap_names.h $(INCS)
OBJS=$(addsuffix .o, $(FILES))
MAJLIBNAME=$(LIBNAME).$(VERSION)
MINLIBNAME=$(MAJLIBNAME).$(MINOR)

all: $(MINLIBNAME)

_makenames: _makenames.c cap_names.sed
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@

cap_names.h: _makenames
	./_makenames > cap_names.h

cap_names.sed: Makefile /usr/include/linux/capability.h
	@echo "=> making cap_names.c from <linux/capability.h>"
	@sed -ne '/^#define[ \t]CAP[_A-Z]\+[ \t]\+[0-9]\+/{s/^#define \([^ \t]*\)[ \t]*\([^ \t]*\)/  \{ \2, \"\1\" \},/;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;p;}' < /usr/include/linux/capability.h | fgrep -v 0x > cap_names.sed
#	@sed -ne '/^#define[ \t]CAP[_A-Z]\+[ \t]\+[0-9]\+/{s/^#define CAP_\([^ \t]*\)[ \t]*\([^ \t]*\)/  \{ \2, \"\1\" \},/;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;p;}' < /usr/include/linux/capability.h | fgrep -v 0x > cap_names.sed

$(MINLIBNAME): $(OBJS)
	$(LD) -soname $(MAJLIBNAME) -x -shared -o $@ $(OBJS)
	ln -sf $(MINLIBNAME) $(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBNAME)

%.o: %.c $(INCLS)
	$(CC) $(CFLAGS) -c $< -o $@

install: all
	mkdir -p -m 0755 $(INCDIR)/sys
	install -m 0644 include/sys/capability.h $(INCDIR)/sys
	mkdir -p -m 0755 $(LIBDIR)
	install -m 0644 $(MINLIBNAME) $(LIBDIR)/$(MINLIBNAME)
	ln -sf $(MINLIBNAME) $(LIBDIR)/$(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBDIR)/$(LIBNAME)
	-/sbin/ldconfig

clean:
	$(LOCALCLEAN)
	rm -f $(OBJS) $(LIBNAME)*
	rm -f cap_names.h cap_names.sed _makenames
	cd include/sys && $(LOCALCLEAN)

=== progs/Makefile ===
##
## $Id: Makefile,v 1.1.1.1.4.2 2001/01/16 07:38:25 agmorgan Exp $
##

topdir=$(shell pwd)/..
include $(topdir)/Make.Rules
#
# Programs: all of the examples that we will compile
#
PROGS=getpcaps execcap getcap setcap

all: $(PROGS)

$(PROGS): %: %.o
	$(CC) $(LDFLAGS) -o $@ $< $(LIBS)

%.o: %.c $(INCS)
	$(CC) $(CFLAGS) -c $< -o $@

install: all
	mkdir -p -m 0755 $(SBINDIR)
	for p in $(PROGS) ; do \
		install -s -m 0755 $$p $(SBINDIR) ; \
	done

clean:
	$(LOCALCLEAN)
	rm -f *.o $(PROGS)

## libcap2 2.19

=== debian/control ===
Source: libcap2
Section: libs
Priority: optional
Maintainer: Torsten Werner <twerner@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
Homepage: http://sites.google.com/site/fullycapable/
Vcs-Svn: https://bollin.googlecode.com/svn/libcap2/
Vcs-Browser: http://bollin.googlecode.com/svn/libcap2/

Package: libcap2-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libcap-dev
Conflicts: libcap-bin
Description: basic utility programs for using capabilities
 This package contains the programs sucap, execap, getpcaps, setpcaps for
 manipulation of capabilities. The manpages of this package reference the
 manpage cap_from_text(3) from the libcap-dev package. Please install the
 libcap-dev package if you need its documentation.

Package: libcap2
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: support for getting/setting POSIX.1e capabilities
 This library implements the user-space interfaces to the POSIX
 1003.1e capabilities available in Linux kernels. These capabilities are 
 a partitioning of the all powerful root privilege into a set of distinct 
 privileges.

Package: libcap-dev
Section: libdevel
Architecture: any
Depends: libcap2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libcap2-dev
Conflicts: libcap2-dev
Replaces: libcap2-dev
Suggests: manpages-dev
Description: development libraries and header files for libcap2
 Contains the necessary support for building applications that use
 capabilities.

## libcap2 2.20

=== debian/changelog ===
libcap2 (1:2.20-1ubuntu1) natty-proposed; urgency=low

  * debian/patches/0001-fix-Makefiles.patch: re-add dropped patch to link
    pam into pam_cap.  (LP: #582769)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 08 Nov 2011 13:22:01 -0600

libcap2 (1:2.20-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches because they have been included upstream.

 -- Torsten Werner <twerner@debian.org>  Fri, 11 Feb 2011 20:31:45 +0100

libcap2 (1:2.19-3) unstable; urgency=high

  * Add a versioned dependency on libpam-runtime to libcap2-bin because
    pam-auth-update is needed in postinst. (Closes: #593250)
  * Set urgency to high because we are fixing a RC bug.

 -- Torsten Werner <twerner@debian.org>  Mon, 16 Aug 2010 23:13:50 +0200

libcap2 (1:2.19-2) unstable; urgency=medium

  * Add -lpam to LDLIBS. Thanks to Sebastian Ramacher for suggesting the patch!
    (Closes: 591410)
  * Set urgency to medium.
  * Improve patch description.

 -- Torsten Werner <twerner@debian.org>  Wed, 04 Aug 2010 05:22:23 +0200

libcap2 (1:2.19-1) unstable; urgency=low

  [ Kees Cook ]
  * Add pam_cap.so to the default PAM auth stack. (Closes: #573089)

  [ Torsten Werner ]
  * New upstream release.
  * Convert package to source format 3.0.
  * Remove quilt from Build-Depends.
  * Add static library to -dev package. Thanks to Stephan Sürken. (Closes:
    #589840)
  * Fix typo in Description. Thanks to Pascal De Vuyst. (Closes: #557496)
  * Add a patch to fix the man page cap_from_text(3). Thanks to Roland
    Koebler. (Closes: #567350)
  * Update Standards-Version: 3.9.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Thu, 22 Jul 2010 23:50:25 +0200

libcap2 (1:2.17-2) unstable; urgency=low

  * Explain in the long description of the -bin package that the manpage
    cap_from_text(3) is part of -dev package. (Closes: #548080)

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Oct 2009 19:55:39 +0200

libcap2 (1:2.17-1) unstable; urgency=low

  * new upstream release
  * Switch from cdbs to dh.
  * Update Standards-Version: 3.8.3 (no changes).
  * Use gbp-pq to edit quilt patch.
  * Change Build-Depends: debhelper (>= 7.0.50~).
  * Add README.source.
  * Add man page capsh.8.

 -- Torsten Werner <twerner@debian.org>  Wed, 30 Sep 2009 22:26:51 +0200

libcap2 (1:2.16-5) unstable; urgency=low

  * Remove reference to kernel version 2.2 in debian/control. (Closes:
    #260005)
  * Add Suggests: libcap-dev to binary package libcap2-bin. (Closes: #433782)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Apr 2009 23:32:37 +0200

libcap2 (1:2.16-4) unstable; urgency=low

  * Add Conflicts: and Replaces: libcap2-dev to binary package libcap-dev.
  * Add epoch to version number because the old package had an epoch.
  * Add missing files to package libcap-dev which got lost in the previous
    version.

 -- Torsten Werner <twerner@debian.org>  Sun, 22 Mar 2009 21:23:50 +0100

libcap2 (2.16-3) unstable; urgency=low

  * Rename binary package libcap2-dev to libcap-dev as requested by the
    release team to continue the transition from libcap1. (Closes: #520553)
  * Add Provides: libcap2-dev to binary package libcap-dev to ease transition
    from older versions of libcap2.
  * Remove Conflicts: libcap-dev.

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Mar 2009 21:22:24 +0100

libcap2 (2.16-2) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 22:09:04 +0100

libcap2 (2.16-1) experimental; urgency=low

  * new upstream release
  * Always install libraries into /lib (never /lib64).
    (Closes: #508315)

 -- Torsten Werner <twerner@debian.org>  Sun, 14 Dec 2008 12:24:50 +0100

libcap2 (2.15-3) experimental; urgency=low

  * Set Priority: standard for binary package libcap2. (Closes: #507781)

 -- Torsten Werner <twerner@debian.org>  Thu, 04 Dec 2008 14:15:48 +0100

libcap2 (2.15-2) experimental; urgency=low

  * Update shlibs file libcap2 (>= 2.10). (Closes: #464712)

 -- Torsten Werner <twerner@debian.org>  Wed, 03 Dec 2008 23:42:19 +0100

libcap2 (2.15-1) experimental; urgency=low

  * new upstream release
  * Add Homepage header.
  * Bump Up Standards-Version: 3.8.0.
  * Update patch build.diff.

 -- Torsten Werner <twerner@debian.org>  Mon, 01 Dec 2008 00:26:09 +0100

libcap2 (2.11-2) unstable; urgency=low

  * Call dh_makeshlibs with -V. (Closes: #492467)
  * Reformat debian/copyright.
  * Add Build-Depends: libpam0g-dev to build the pam module.
  * Ship the pam module in the package libcap2-bin.

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Jul 2008 15:40:42 +0200

libcap2 (2.11-1) unstable; urgency=low

  * new upstream release
  * Remove patch bug487223.diff because it is not needed anymore.
  * Refresh patch build.diff.

 -- Torsten Werner <twerner@debian.org>  Thu, 24 Jul 2008 20:42:41 +0200

libcap2 (2.10-3) unstable; urgency=low

  * Add patch from upstream author to fix 'cap_copy_int() always returns NULL
    (EINVAL)'. (Closes: #487223)

 -- Torsten Werner <twerner@debian.org>  Mon, 07 Jul 2008 23:03:52 +0200

libcap2 (2.10-2) unstable; urgency=medium

  * Add Build-Depends: indent because it is needed on alpha. (Closes: #489477)
  * Set urgency to medium because we are fixing a FTBFS bug.

 -- Torsten Werner <twerner@debian.org>  Sun, 06 Jul 2008 11:34:15 +0200

libcap2 (2.10-1) unstable; urgency=low

  * new upstream release

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Jun 2008 23:37:06 +0200

libcap2 (2.09-1) unstable; urgency=low

  * new upstream release
  * Change Priority: optional of package libcap2.

 -- Torsten Werner <twerner@debian.org>  Sat, 10 May 2008 11:48:53 +0200

libcap2 (2.08-2) unstable; urgency=low

  * Do not install the old manpages capget(2) and capset(2) because the
    package manpages-dev ships more recent ones.
  * Replace Conflicts: manpages-dev by Suggests: manpages-dev.
    (Closes: #473072)

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Mar 2008 10:19:58 +0100



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libcap2
 Section: libs
 Priority: optional
-Maintainer: Torsten Werner <twerner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
@@ -11,7 +12,7 @@
 Package: libcap2-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.1-3~)
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- lib=lib RAISE_SETFCAP=no

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcap2 (>= 2.10)'

get-orig-source:
	-uscan --upstream-version 0

## libcap2 2.21

=== debian/changelog ===
libcap2 (1:2.21-2) unstable; urgency=low

  [ Serge Hallyn ]
  * Non-maintainer upload.
  * 0002-support-getting-setting-capabilities-on-large-files.patch: patch from
    upstream to enable setting capabilities on large files.
    (Closes: #631134)

  [ Torsten Werner ]
  * Move package to alioth's collab-maint project.
    * Use git instead of svn.
    * Update Vcs-* headers in debian/control.

  [ Zhi Li ]
  * Modify long description in libcap2-bin/debian/control, remove those files that were not generated.
    (Closes: #620345)

 -- Torsten Werner <twerner@debian.org>  Mon, 11 Jul 2011 22:11:41 +0200

libcap2 (1:2.21-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0001-fix-Makefiles.patch: link pam_cap against -lpam.
    (Closes: #591410) (LP: #582769)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 20 May 2011 08:28:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libcap2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Torsten Werner <twerner@debian.org>
+Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
-Vcs-Svn: https://bollin.googlecode.com/svn/libcap2/
-Vcs-Browser: http://bollin.googlecode.com/svn/libcap2/
+Vcs-Git: git://git.debian.org/collab-maint/libcap2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcap2.git
 
 Package: libcap2-bin
 Section: utils
@@ -16,7 +15,7 @@
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities
- This package contains the programs sucap, execap, getpcaps, setpcaps for
+ This package contains the programs getpcaps, capsh, getcap, and setcap for
  manipulation of capabilities. The manpages of this package reference the
  manpage cap_from_text(3) from the libcap-dev package. Please install the
  libcap-dev package if you need its documentation.

## libcap2 2.22

=== debian/changelog ===
libcap2 (1:2.22-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add preinst script for libcap2-bin to properly remove PAM module
    on upgrade from libcap2-bin <= 1:2.22-1. (Closes: #673770)

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 06 Jul 2012 20:02:14 +0200

libcap2 (1:2.22-1.1) unstable; urgency=low

  * Non-maintainer upload with permission from Torsten Werner.
  * Apply Multiarch patch from Kees Cook.  Closes: #653186.
  * debian/{control,rules,compat}: Build for Multi-arch.
  * debian/{control,libpam-cap.*}: Split PAM module into separate binary
    package so it can be built for Multi-arch separate from the -bins pkg.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 10:28:44 +0100

libcap2 (1:2.22-1) unstable; urgency=low

  * New upstream released

 -- Zhi Li <lizhi1215@gmail.com>  Thu, 28 Jul 2011 12:50:30 +0800

libcap2 (1:2.21-3) unstable; urgency=low

  * Non-maintainer upload.
  * 0003-refine-setcap-error-message.patch:refine setcap output on errors
    (Closes: #633075)

 -- Zhi Li <lizhi1215@gmail.com>  Wed, 20 Jul 2011 09:35:48 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
+Build-Depends: debhelper (>= 8.1.3~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
 Vcs-Git: git://git.debian.org/collab-maint/libcap2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcap2.git
@@ -11,7 +11,8 @@
 Package: libcap2-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.1-3~)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libpam-cap
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities
@@ -23,6 +24,8 @@
 Package: libcap2
 Priority: standard
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: support for getting/setting POSIX.1e capabilities
  This library implements the user-space interfaces to the POSIX
@@ -33,6 +36,7 @@
 Package: libcap-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcap2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libcap2-dev
 Conflicts: libcap2-dev
@@ -41,3 +45,13 @@
 Description: development libraries and header files for libcap2
  Contains the necessary support for building applications that use
  capabilities.
+
+Package: libpam-cap
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.3-2~)
+Breaks: libcap2-bin (<< 1:2.22-1.1)
+Replaces: libcap2-bin (<< 1:2.22-1.1)
+Description: PAM module for implementing capabilities
+ This package contains the PAM module for enforcing capabilities on users
+ and groups at PAM session start time.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- lib=lib/$(DEB_HOST_MULTIARCH) RAISE_SETFCAP=no

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcap2 (>= 2.10)'

get-orig-source:
	-uscan --upstream-version 0

## libcap2 2.24

=== libcap/Makefile ===
#
# defines
#
topdir=$(shell pwd)/..
include ../Make.Rules
#
# Library version
#
LIBNAME=$(LIBTITLE).so
STALIBNAME=$(LIBTITLE).a
#

FILES=cap_alloc cap_proc cap_extint cap_flag cap_text

# make including file support something you can override (no libattr
# no support).
ifeq ($(LIBATTR),yes)
FILES += cap_file
LDFLAGS += -lattr
DEPS = -lattr
endif

INCLS=libcap.h cap_names.h $(INCS)
OBJS=$(addsuffix .o, $(FILES))
MAJLIBNAME=$(LIBNAME).$(VERSION)
MINLIBNAME=$(MAJLIBNAME).$(MINOR)
GPERF_OUTPUT = _caps_output.gperf

all: $(MINLIBNAME) $(STALIBNAME) libcap.pc

ifeq ($(shell gperf --version > /dev/null 2>&1 && echo yes),yes)
USE_GPERF_OUTPUT = $(GPERF_OUTPUT)
INCLUDE_GPERF_OUTPUT = -include $(GPERF_OUTPUT)
endif

libcap.pc: libcap.pc.in
	sed -e 's,@prefix@,$(prefix),' \
		-e 's,@exec_prefix@,$(exec_prefix),' \
		-e 's,@libdir@,$(lib_prefix)/$(lib),' \
		-e 's,@includedir@,$(inc_prefix)/include,' \
		-e 's,@VERSION@,$(VERSION).$(MINOR),' \
		-e 's,@deps@,$(DEPS),' \
		$< >$@

_makenames: _makenames.c cap_names.list.h
	$(BUILD_CC) $(BUILD_CFLAGS) $< -o $@

cap_names.h: _makenames
	./_makenames > cap_names.h

$(GPERF_OUTPUT): cap_names.list.h
	perl -e 'print "struct __cap_token_s { const char *name; int index; };\n%{\nconst struct __cap_token_s *__cap_lookup_name(const char *, unsigned int);\n%}\n%%\n"; while ($$l = <>) { $$l =~ s/[\{\"]//g; $$l =~ s/\}.*// ; print $$l; }' < $< | gperf --ignore-case --language=ANSI-C --readonly --null-strings --global-table --hash-function-name=__cap_hash_name --lookup-function-name="__cap_lookup_name" -c -t -m20 $(INDENT) > $@

cap_names.list.h: Makefile $(KERNEL_HEADERS)/linux/capability.h
	@echo "=> making $@ from $(KERNEL_HEADERS)/linux/capability.h"
	perl -e 'while ($$l=<>) { if ($$l =~ /^\#define[ \t](CAP[_A-Z]+)[ \t]+([0-9]+)\s+$$/) { $$tok=$$1; $$val=$$2; $$tok =~ tr/A-Z/a-z/; print "{\"$$tok\",$$val},\n"; } }' $(KERNEL_HEADERS)/linux/capability.h | fgrep -v 0x > $@

$(STALIBNAME): $(OBJS)
	$(AR) rcs $@ $^
	$(RANLIB) $@

$(MINLIBNAME): $(OBJS)
	$(LD) $(CFLAGS) $(LDFLAGS) -Wl,-soname,$(MAJLIBNAME) -o $@ $^
	ln -sf $(MINLIBNAME) $(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBNAME)

%.o: %.c $(INCLS)
	$(CC) $(CFLAGS) $(IPATH) -c $< -o $@

cap_text.o: cap_text.c $(USE_GPERF_OUTPUT) $(INCLS)
	$(CC) $(CFLAGS) $(IPATH) $(INCLUDE_GPERF_OUTPUT) -c $< -o $@

install: all
	mkdir -p -m 0755 $(INCDIR)/sys
	install -m 0644 include/sys/capability.h $(INCDIR)/sys
	mkdir -p -m 0755 $(LIBDIR)
	install -m 0644 $(STALIBNAME) $(LIBDIR)/$(STALIBNAME)
	install -m 0644 $(MINLIBNAME) $(LIBDIR)/$(MINLIBNAME)
	ln -sf $(MINLIBNAME) $(LIBDIR)/$(MAJLIBNAME)
	ln -sf $(MAJLIBNAME) $(LIBDIR)/$(LIBNAME)
ifeq ($(FAKEROOT),)
	-/sbin/ldconfig
endif
	mkdir -p -m 0755 $(PKGCONFIGDIR)
	install -m 0644 libcap.pc $(PKGCONFIGDIR)/libcap.pc

clean:
	$(LOCALCLEAN)
	rm -f $(OBJS) $(LIBNAME)* $(STALIBNAME) libcap.pc
	rm -f cap_names.h cap_names.list.h _makenames $(GPERF_OUTPUT)
	cd include/sys && $(LOCALCLEAN)

=== progs/Makefile ===

topdir=$(shell pwd)/..
include $(topdir)/Make.Rules
#
# Programs: all of the examples that we will compile
#
PROGS=getpcaps capsh
ifeq ($(LIBATTR),yes)
PROGS += getcap setcap
endif

BUILD=$(PROGS)

ifneq ($(DYNAMIC),yes)
LDFLAGS += --static
endif
LDLIBS += -L../libcap -lcap

all: $(BUILD)

$(BUILD): %: %.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

%.o: %.c $(INCS)
	$(CC) $(IPATH) $(CFLAGS) -c $< -o $@

install: all
	mkdir -p -m 0755 $(SBINDIR)
	for p in $(PROGS) ; do \
		install -m 0755 $$p $(SBINDIR) ; \
	done
ifeq ($(RAISE_SETFCAP),yes)
	$(SBINDIR)/setcap cap_setfcap=i $(SBINDIR)/setcap
endif

clean:
	$(LOCALCLEAN)
	rm -f *.o $(BUILD) tcapsh ping hack.sh

=== debian/changelog ===
libcap2 (1:2.24-12) unstable; urgency=medium

  * d/tests:
    - Amend stderr redirection to fix autopkgtest failures

 -- Christian Kastner <ckk@debian.org>  Fri, 02 Oct 2015 15:30:03 +0200

libcap2 (1:2.24-11) unstable; urgency=medium

  * d/rules:
    - Provide BUILD_LDFLAGS and BUILD_CPPFLAGS. Thanks, Helmut Grohne!
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/patches (updated):
    - Don-t-hardcode-build-flags.patch
      When using BUILD_CC, use BUILD_LDFLAGS and BUILD_CPPFLAGS instead of the
      host ones. Thanks, Helmut Grohne! Closes: #796886
  * Add package-specific d/gbp.conf

 -- Christian Kastner <ckk@kvr.at>  Tue, 25 Aug 2015 20:40:33 +0200

libcap2 (1:2.24-10) unstable; urgency=medium

  * d/control:
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Add gperf to Build-Depends. The build proceeds slightly differently when
      gperf is present in the build environment, so make sure it is present in
      all build environments
    - Switch Maintainer email to my @debian.org address
  * d/rules:
    - Pass --version-info to dh_makeshlibs to match .symbols. Thanks, KiBi!
  * d/copyright:
    - Bump copyright years
  * d/tests:
    - Add missing dependencies for gcc and libc-dev
    - Test "executables": Redirect stderr to stdout on test with expected
      failure
  * d/patches (updated):
    - 0004-Don-t-hardcode-build-flags
      Add LDFLAGS to a target to silence a hardening flags warning, even though
      the target is not shipped, but only used at build-time.
  * d/patches (added):
    - 0006-Hide-private-symbols.patch

 -- Christian Kastner <ckk@debian.org>  Sun, 23 Aug 2015 23:16:07 +0200

libcap2 (1:2.24-9) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Add udeb package for libcap2 to be used in d-i, since
    the libudev1-udeb package depends on libcap2 now.

 -- Christian Kastner <debian@kvr.at>  Sun, 07 Jun 2015 18:38:54 +0200

libcap2 (1:2.24-8) unstable; urgency=medium

  * debian/libcap2-bin.maintscript:
    - Drop, because using rm_conffile to clean up an obsolete conffile that
      was moved to another package can lead to breakage, see:  Closes: #781050
  * debian/watch:
    - Drop stray empty opts= (invalid syntax breaks uscan checks)

 -- Christian Kastner <debian@kvr.at>  Sun, 29 Mar 2015 15:00:39 +0200

libcap2 (1:2.24-7) unstable; urgency=medium

  * debian/libcap2-bin.maintscript:
    - Remove obsolete conffile capability.conf. Closes: #768229
  * debian/control:
    - Add Breaks+Replaces for libcap-bin. libcap-bin was removed after lenny,
      but the transition to libcap2-bin was not fully handled. Closes: #780411

 -- Christian Kastner <debian@kvr.at>  Fri, 13 Mar 2015 21:28:23 +0100

libcap2 (1:2.24-6) unstable; urgency=medium

  * debian/rules:
    - Use proper assignment for CC. It has a default value, so ?= assignment
      does not make sense. Using := fixes a FTCBFS. Thanks, Helmut Grohne.
      Closes: #762575
  * debian/control:
    - Add XS-Testsuite for autopkgtest
  * debian/tests/executables:
    - Add an autopkgtest for getcap(8) and setcap(8) functionality

 -- Christian Kastner <debian@kvr.at>  Thu, 25 Sep 2014 01:41:47 +0200

libcap2 (1:2.24-5) unstable; urgency=medium

  * debian/libcap2-bin.lintian-overrides:
    - Drop this file; it only contained an unused lintian override for
      statically-linked-binary
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Add binary package libcap2-dbg for debugging symbols
  * debian/rules:
    - Use dpkg/architecture.mk instead of manual assignment
    - Rework the cross-compiling support. Less code, and less assumptions about
      the environment
    - Create dirs in override_dh_installdirs
    - Simplify installation stage
    - Add override_dh_strip to place symbols in libcap2-dbg
  * Package libcap-dev:
    - Move the static library from /lib/ to /usr/lib/, where development files
      belong according to the FHS. /lib/ is only for essential shared
      libraries.
  * debian/TODO:
    - Drop file (all items were either dropped or completed)

 -- Christian Kastner <debian@kvr.at>  Fri, 19 Sep 2014 13:52:51 +0200

libcap2 (1:2.24-4) unstable; urgency=low

  * debian/control:
    - Set myself to maintainer. Closes: #756091
    - Drop redundant Section
    - Drop redundant Priority fields
    - Add Multi-Arch field for libcap2-bin
    - Point Vcs-* URLs to collab-maint
  * debian/rules:
    - Drop dh_builddeb override, xz is now default
    - Drop override_dh_makeshlibs; a symbols file is provided now
  * debian/copyright:
    - Add myself
    - Add missing copyright for manpages
    - Add missing copyright for contrib/*
  * debian/symbols:
    - Create symbols file
  * debian/watch:
    - Create watch file
  * debian/manpages:
    - Fix typo in manpage name (getcaps -> getpcaps)
    - Drop capsh.8, upstream ships capsh.1 now
  * debian/source/options:
    - Remove, as xz is now the default compression algo
  * debian/patches (refreshed):
    - Update headers to play more nicely with gbp-pq
  * debian/patches (added):
    - 0004-Don-t-hardcode-build-flags
      Needed so that hardening flags get honored
    - 0005-Syntax-fixes-for-man-pages

 -- Christian Kastner <debian@kvr.at>  Sat, 26 Jul 2014 20:06:24 +0200

libcap2 (1:2.24-3) unstable; urgency=medium

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:51:41 +0200

libcap2 (1:2.24-2) unstable; urgency=low

  * Adding provides for libcap2-dev that got lost during rebase (Closes:
    #755559).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 10:55:23 +0200

libcap2 (1:2.24-1) unstable; urgency=low

  * Merging upstream version 2.24 (Closes: #734633): - in sync with
    current kernels (Closes: #689035)
  * Dropping unused orig-tar.sh.
  * Marking package as linux-any only (Closes: #745186).


=== debian/control ===
Source: libcap2
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 indent,
 libattr1-dev,
 libpam0g-dev,
 gperf,
Homepage: http://sites.google.com/site/fullycapable/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcap2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libcap2.git

Package: libcap2-bin
Section: utils
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: libcap-bin
Replaces: libcap-bin
Recommends: libpam-cap
Description: POSIX 1003.1e capabilities (utilities)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains additional utilities.

Package: libcap2
Priority: standard
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: POSIX 1003.1e capabilities (library)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the shared library.

Package: libcap2-dbg
Section: debug
Priority: extra
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libcap2 (= ${binary:Version}),
 libcap-dev (= ${binary:Version}),
 libpam-cap (= ${binary:Version}),
Description: POSIX 1003.1e capabilities (debug)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the debugging symbols.

Package: libcap-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libcap2 (= ${binary:Version}),
Suggests: manpages-dev
Provides: libcap2-dev
Description: POSIX 1003.1e capabilities (development)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the development files.

Package: libpam-cap
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libpam-runtime (>= 1.1.3-2~),
Breaks: libcap2-bin (<< 1:2.22-1.1)
Replaces: libcap2-bin (<< 1:2.22-1.1)
Description: POSIX 1003.1e capabilities (PAM module)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the PAM module for enforcing capabilities on users and
 groups at PAM session start time.

Package: libcap2-udeb
Section: debian-installer
Architecture: linux-any
Package-Type: udeb
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: POSIX 1003.1e capabilities (library)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This is a minimal version, only for use in the installation system.

=== debian/rules ===
#!/usr/bin/make -f

# Pass this as version-info to dh_makeshlibs
SHLIBS_MINVER = 1:2.10

# Exports DEB_{BUILD,HOST}_* flags
include /usr/share/dpkg/architecture.mk

# Support cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

# One upstream target requires the BUILD compiler instead of HOST
BUILD_CC ?= cc
export BUILD_LDFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get LDFLAGS)
export BUILD_CPPFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get CPPFLAGS)


%:
	dh ${@}


override_dh_auto_build:
	dh_auto_build -- CC=$(CC) BUILD_CC=$(BUILD_CC)


override_dh_installdirs:
	dh_installdirs

	# While the PAM module and the library are in /lib, according to the
	# FHS, development files must go into usr/lib/<triplet>.
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)


override_dh_auto_install:
	dh_auto_install -- lib=lib/$(DEB_HOST_MULTIARCH) RAISE_SETFCAP=no

	# libcap-dev:
	#   Move the development files from lib/ to usr/lib. dh_link will
	#   later correct the link for us (from relative to absolute).
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && \
		mv    ../../../lib/$(DEB_HOST_MULTIARCH)/*.a . && \
		ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/libcap.so.*.* libcap.so

	# Remove unwanted/unused files (because of --fail-missing)
	rm -f debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so


override_dh_install:
	dh_install --fail-missing


override_dh_makeshlibs:
	dh_makeshlibs -V'libcap2 (>= $(SHLIBS_MINVER))' -plibcap2 \
		--add-udeb=libcap2-udeb -- -c4
	dh_makeshlibs --remaining-packages -- -c4


override_dh_strip:
	dh_strip --dbg-package=libcap2-dbg

=== debian/watch ===
version=3

# We don't verify the GPG signature because the signature is made for the
# uncompressed tarball, and uscan currently does not have a mechanism to
# implement this

https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-(.+).tar.xz

## libcap2 2.25

=== Makefile ===
#
# Makefile for libcap
#
topdir=$(shell pwd)
include Make.Rules

#
# flags
#

all install clean: %: %-here
	$(MAKE) -C libcap $@
ifneq ($(PAM_CAP),no)
	$(MAKE) -C pam_cap $@
endif
	$(MAKE) -C progs $@
	$(MAKE) -C doc $@

all-here:

install-here:

clean-here:
	$(LOCALCLEAN)

distclean: clean
	$(DISTCLEAN)

release: distclean
	cd .. && ln -s libcap libcap-$(VERSION).$(MINOR) && tar cvf libcap-$(VERSION).$(MINOR).tar libcap-$(VERSION).$(MINOR)/* && rm libcap-$(VERSION).$(MINOR)
	cd .. && gpg -sba -u E2CCF3F4 libcap-$(VERSION).$(MINOR).tar

tagrelease: distclean
	@echo "sign the tag twice: older DSA key; and newer RSA kernel.org key"
	git tag -u D41A6DF2 -s libcap-$(VERSION).$(MINOR)
	git tag -u E2CCF3F4 -s libcap-korg-$(VERSION).$(MINOR)
	make release

=== libcap/Makefile ===
--- 
+++ 
@@ -10,15 +10,7 @@
 STALIBNAME=$(LIBTITLE).a
 #
 
-FILES=cap_alloc cap_proc cap_extint cap_flag cap_text
-
-# make including file support something you can override (no libattr
-# no support).
-ifeq ($(LIBATTR),yes)
-FILES += cap_file
-LDFLAGS += -lattr
-DEPS = -lattr
-endif
+FILES=cap_alloc cap_proc cap_extint cap_flag cap_text cap_file
 
 INCLS=libcap.h cap_names.h $(INCS)
 OBJS=$(addsuffix .o, $(FILES))
@@ -28,7 +20,7 @@
 
 all: $(MINLIBNAME) $(STALIBNAME) libcap.pc
 
-ifeq ($(shell gperf --version > /dev/null 2>&1 && echo yes),yes)
+ifeq ($(BUILD_GPERF),yes)
 USE_GPERF_OUTPUT = $(GPERF_OUTPUT)
 INCLUDE_GPERF_OUTPUT = -include $(GPERF_OUTPUT)
 endif
@@ -71,18 +63,18 @@
 	$(CC) $(CFLAGS) $(IPATH) $(INCLUDE_GPERF_OUTPUT) -c $< -o $@
 
 install: all
-	mkdir -p -m 0755 $(INCDIR)/sys
-	install -m 0644 include/sys/capability.h $(INCDIR)/sys
-	mkdir -p -m 0755 $(LIBDIR)
-	install -m 0644 $(STALIBNAME) $(LIBDIR)/$(STALIBNAME)
-	install -m 0644 $(MINLIBNAME) $(LIBDIR)/$(MINLIBNAME)
-	ln -sf $(MINLIBNAME) $(LIBDIR)/$(MAJLIBNAME)
-	ln -sf $(MAJLIBNAME) $(LIBDIR)/$(LIBNAME)
+	mkdir -p -m 0755 $(FAKEROOT)$(INCDIR)/sys
+	install -m 0644 include/sys/capability.h $(FAKEROOT)$(INCDIR)/sys
+	mkdir -p -m 0755 $(FAKEROOT)$(LIBDIR)
+	install -m 0644 $(STALIBNAME) $(FAKEROOT)$(LIBDIR)/$(STALIBNAME)
+	install -m 0644 $(MINLIBNAME) $(FAKEROOT)$(LIBDIR)/$(MINLIBNAME)
+	ln -sf $(MINLIBNAME) $(FAKEROOT)$(LIBDIR)/$(MAJLIBNAME)
+	ln -sf $(MAJLIBNAME) $(FAKEROOT)$(LIBDIR)/$(LIBNAME)
 ifeq ($(FAKEROOT),)
 	-/sbin/ldconfig
 endif
-	mkdir -p -m 0755 $(PKGCONFIGDIR)
-	install -m 0644 libcap.pc $(PKGCONFIGDIR)/libcap.pc
+	mkdir -p -m 0755 $(FAKEROOT)$(PKGCONFIGDIR)
+	install -m 0644 libcap.pc $(FAKEROOT)$(PKGCONFIGDIR)/libcap.pc
 
 clean:
 	$(LOCALCLEAN)

=== debian/changelog ===
libcap2 (1:2.25-2) unstable; urgency=medium

  * Acknowledge NMUs.
    Thanks, Matthias Klose and Helmut Grohne!

  * d/upstream/signing-key.asc:
    - Add Andrew G. Morgan's public OpenPGP key
  * d/watch:
    - Update to format version 4
    - Check vor a valid signature
  * d/control:
    - Bump Standards-Version to 4.3.0
    - Drop Priority of libcap2
      Priority for this library should be "optional", which is already the
      Priority of the source package
    - Switch Build-Depends from debhelper to debhelper-compat
    - Bump Build-Depends for debhelper to 12
    - Update Vcs-* URLs to point to Salsa
    - Switch Homepage to https
  * d/compat:
    - Drop, as made obsolete by debhelper-compat
  * d/rules:
    - Switch from dh_install to dh_missing
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
  * d/tests/executables:
    - Rename ADTTMP to AUTOPKGTEST_TMP
      ADT* variables were renamed in autopkgtest (4.0)
  * d/manpages/getpcaps.1:
    - Reproduce section "TEXTUAL REPRESENTATION" from cap_from_text(3)
      Closes: #826733
    - Fix program name get_pcaps -> getpcaps
  * d/copyright:
    - Add patches/*, and bump copyrights
    - Switch MRCF Policy URI to https

 -- Christian Kastner <ckk@debian.org>  Wed, 06 Feb 2019 21:12:36 +0100

libcap2 (1:2.25-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix for FTCBFS, libcap.pc has bad libdir (Closes: #871714)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 17 Nov 2017 00:35:52 +0100

libcap2 (1:2.25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gperf 3.1 (Helmut Grohne). Closes: #869588.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 10:26:50 +0200

libcap2 (1:2.25-1) unstable; urgency=medium

  * New upstream release. LP: #1451601
  * Drop package libcap2-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html.
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Increase Priority of libcap2{,-bin} to important. Closes: #815566
    - Drop libattr1-dev from Build-Depends. Upstream no longer uses this
      library and instead uses the kernel API directly
    - Switch Vcs-Browser from gitweb to cgit
    - Switch to secure URIs in Vcs-* fields
  * d/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * d/tests:
    - executables:
      + Fix typos
      + Don't mount over ADTTMP, use a subdir instead. ADTTMP could already be
        a mount point for another filesystem, which could make things slightly
        more confusing
      + Improve output
  * d/copyright:
    - Bump copyright years
  * d/patches (added):
    - Avoid-sys-capability.h-on-build-architecture.patch
      Fixes a FTCBFS on kFreeBSD. Thanks, Helmut Grohne! Closes: #809467
    - Filter-out-PIE-flags-when-building-shared-objects.patch
      Filters out -pie, -fpie, and -fPIE from CFLAGS/LDFLAGS when building the
      shared library and the PAM module
    - Spelling-fixes.patch
  * d/patches (updated):
    - setcap-error-message.patch
    - Update Don-t-hardcode-build-flags.patch
  * d/patches (dropped):
    - Drop include-sys-xattr.patch
      The reason it was initially created for ceased to exist in 2.25
  * libcap2-bin:
    -  lintian override for spelling-error-in-readme-debian (false positive)

 -- Christian Kastner <ckk@debian.org>  Sat, 30 Apr 2016 14:30:26 +0200

=== debian/control ===
Source: libcap2
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper-compat (= 12),
    indent,
    libpam0g-dev,
    gperf (>= 3.1),
Standards-Version: 4.3.0
Homepage: https://sites.google.com/site/fullycapable/
Vcs-Git: https://salsa.debian.org/debian/libcap2.git
Vcs-Browser: https://salsa.debian.org/debian/libcap2

Package: libcap2-bin
Section: utils
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Breaks: libcap-bin
Replaces: libcap-bin
Recommends: libpam-cap
Description: POSIX 1003.1e capabilities (utilities)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains additional utilities.

Package: libcap2
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
Description: POSIX 1003.1e capabilities (library)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the shared library.

Package: libcap-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    libcap2 (= ${binary:Version}),
Suggests: manpages-dev
Provides: libcap2-dev
Description: POSIX 1003.1e capabilities (development)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the development files.

Package: libpam-cap
Architecture: linux-any
Multi-Arch: same
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    libpam-runtime (>= 1.1.3-2~),
Breaks: libcap2-bin (<< 1:2.22-1.1)
Replaces: libcap2-bin (<< 1:2.22-1.1)
Description: POSIX 1003.1e capabilities (PAM module)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This package contains the PAM module for enforcing capabilities on users and
 groups at PAM session start time.

Package: libcap2-udeb
Section: debian-installer
Architecture: linux-any
Package-Type: udeb
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Description: POSIX 1003.1e capabilities (library)
 Libcap implements the user-space interfaces to the POSIX 1003.1e capabilities
 available in Linux kernels. These capabilities are a partitioning of the all
 powerful root privilege into a set of distinct privileges.
 .
 This is a minimal version, only for use in the installation system.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,15 @@
 
 # Exports DEB_{BUILD,HOST}_* flags
 include /usr/share/dpkg/architecture.mk
+# Export DEB_VERSION, among other things
+include /usr/share/dpkg/pkg-info.mk
 
 # Support cross-compiling
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # One upstream target requires the BUILD compiler instead of HOST
 BUILD_CC ?= cc
@@ -42,20 +46,18 @@
 	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && \
 		mv    ../../../lib/$(DEB_HOST_MULTIARCH)/*.a . && \
 		ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/libcap.so.*.* libcap.so
+	sed -i -e 's#^libdir=.*#libdir=/usr/lib/$(DEB_HOST_MULTIARCH)#' \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libcap.pc
 
 	# Remove unwanted/unused files (because of --fail-missing)
 	rm -f debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so
 
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V'libcap2 (>= $(SHLIBS_MINVER))' -plibcap2 \
 		--add-udeb=libcap2-udeb -- -c4
 	dh_makeshlibs --remaining-packages -- -c4
-
-
-override_dh_strip:
-	dh_strip --dbg-package=libcap2-dbg

## libcap2 2.27

=== debian/changelog ===
libcap2 (1:2.27-1) unstable; urgency=medium

  * New upstream release. (Closes: #911509)

  [ Kevin Locke ]
  * d/rules: Conditionalize tests on DEB_GAIN_ROOT_COMMAND
    Unfortunately, for the tests, fakeroot does not suffice
  * d/libcap2.symbols: Add new symbols in 2.26
  * d/patches:
    - Add Use-DEB_GAIN_ROOT_CMD-for-make-test.patch
      Use $DEB_GAIN_ROOT_CMD for make test
    - Add Make.Rules-Allow-overriding-DYNAMIC.patch
      Always build using dynamic linking. Upstream builds statically when
      building in a git repo, which conflicts with git-buildpackage.

  [ Christian Kastner ]
  * d/gbp.conf: Move branches to debian/master and upstream/latest (DEP-14)
  * d/control: Bump Standards-Version to 4.4.1.
    No changes were needed from 4.3.0 to 4.4.1, but Kevin Locke noticed that
    previously, in going to 4.3.0, the Root-Requires-Root field had not been
    set
  * Add Build-Depends-Package field to libcap2.symbols
  * Bump shlibs version to 2.26 (new symbols)
  * Add pam_cap-Honor-PAM_REINITIALIZE_CRED.patch.
    Thanks, for the report and analysis, Daniel Gröber! (Closes: #935921)
  * Refresh patches

 -- Christian Kastner <ckk@debian.org>  Mon, 28 Oct 2019 10:39:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
     indent,
     libpam0g-dev,
     gperf (>= 3.1),
-Standards-Version: 4.3.0
+Rules-Requires-Root: dpkg/target-subcommand
+Standards-Version: 4.4.1
 Homepage: https://sites.google.com/site/fullycapable/
 Vcs-Git: https://salsa.debian.org/debian/libcap2.git
 Vcs-Browser: https://salsa.debian.org/debian/libcap2
@@ -62,6 +63,7 @@
  This package contains the development files.
 
 Package: libpam-cap
+Section: admin
 Architecture: linux-any
 Multi-Arch: same
 Depends:
